BeagleWksText Class Reference

the main class to read the text part of BeagleWorks Text file More...

`#include <BeagleWksText.hxx>`

## Public Member Functions

| BeagleWksText (BeagleWksParser &parser)
| constructor
virtual | ~BeagleWksText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions

bool | createZones (MWAWEntry const &entry)
| try to create the text zones
bool | sendMainText ()
| send a main zone
void | flushExtra ()
| sends the data which have not yet been sent to the listener
void | countPages ()
| update the number of pages and the number of page by section
std::shared_ptr< MWAWSubDocument > | getHeader (int page, int &numSimillar)
| return an header subdocument
std::shared_ptr< MWAWSubDocument > | getFooter (int page, int &numSimillar)
| return a footer subdocument
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList)
| update the page span list
bool | sendText (MWAWEntry const &entry)
| try to send a text zone
bool | sendHF (int hfId, int sectId)
| try to send a header/footer id
MWAWFont | getFont (BeagleWksTextInternal::Font const &ft) const
| returns the font
bool | readFont (BeagleWksTextInternal::Font &font, long endPos)
| try to read a font properties
bool | readParagraph (MWAWParagraph &para, long endPos, bool inSection=false)
| try to read a paragraph knowing end pos
bool | readSection (MWAWEntry const &entry, BeagleWksTextInternal::Section &section)
| try to read a section

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< BeagleWksTextInternal::State > | m_state
| the state
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager
BeagleWksParser * | m_mainParser
| the main parser;

## Private Member Functions

| BeagleWksText (BeagleWksText const &orig)=delete
BeagleWksText & | operator= (BeagleWksText const &orig)=delete

## Friends

class | BeagleWksParser
class | BeagleWksTextInternal::SubDocument

## Detailed Description

the main class to read the text part of BeagleWorks Text file

## Constructor & Destructor Documentation

## BeagleWksText() [1/2]

BeagleWksText::BeagleWksText | ( | BeagleWksParser & | parser | ) |

explicit

constructor

Referenced by BeagleWksText(), numPages(), and operator=().

## ~BeagleWksText()

BeagleWksText::~BeagleWksText | ( |  | ) |

virtual

destructor

## BeagleWksText() [2/2]

BeagleWksText::BeagleWksText | ( | BeagleWksText const & | orig | ) |

private delete

## Member Function Documentation

## countPages()

void BeagleWksText::countPages | ( |  | ) |

protected

update the number of pages and the number of page by section

Referenced by numPages().

## createZones()

bool BeagleWksText::createZones | ( | MWAWEntry const & | entry | ) |

protected

try to create the text zones

## flushExtra()

void BeagleWksText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## getFont()

MWAWFont BeagleWksText::getFont | ( | BeagleWksTextInternal::Font const & | ft | ) | const

protected

returns the font

Referenced by sendText().

## getFooter()

std::shared_ptr< MWAWSubDocument > BeagleWksText::getFooter | ( | int | page,
|  | int & | numSimillar )

protected

return a footer subdocument

## getHeader()

std::shared_ptr< MWAWSubDocument > BeagleWksText::getHeader | ( | int | page,
|  | int & | numSimillar )

protected

return an header subdocument

## numPages()

int BeagleWksText::numPages | ( |  | ) | const

returns the number of pages

## operator=()

BeagleWksText & BeagleWksText::operator= | ( | BeagleWksText const & | orig | ) |

private delete

## readFont()

bool BeagleWksText::readFont | ( | BeagleWksTextInternal::Font & | font,
|  | long | endPos )

protected

try to read a font properties

Referenced by countPages(), and sendText().

## readParagraph()

bool BeagleWksText::readParagraph | ( | MWAWParagraph & | para,
|  | long | endPos,
|  | bool | inSection = false )

protected

try to read a paragraph knowing end pos

Referenced by countPages(), readSection(), and sendText().

## readSection()

bool BeagleWksText::readSection | ( | MWAWEntry const & | entry,
|  | BeagleWksTextInternal::Section & | section )

protected

try to read a section

Referenced by createZones().

## sendHF()

bool BeagleWksText::sendHF | ( | int | hfId,
|  | int | sectId )

protected

try to send a header/footer id

## sendMainText()

bool BeagleWksText::sendMainText | ( |  | ) |

protected

send a main zone

## sendText()

bool BeagleWksText::sendText | ( | MWAWEntry const & | entry | ) |

protected

try to send a text zone

Referenced by flushExtra(), sendHF(), and sendMainText().

## updatePageSpanList()

void BeagleWksText::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) |

protected

update the page span list

## version()

int BeagleWksText::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## BeagleWksParser

friend class BeagleWksParser

friend

Referenced by BeagleWksParser, BeagleWksText(), and BeagleWksTextInternal::SubDocument.

## BeagleWksTextInternal::SubDocument

friend class BeagleWksTextInternal::SubDocument

friend

## Member Data Documentation

## m_mainParser

BeagleWksParser* BeagleWksText::m_mainParser

protected

the main parser;

Referenced by BeagleWksText(), readSection(), and sendText().

## m_parserState

MWAWParserStatePtr BeagleWksText::m_parserState

protected

the parser state

Referenced by BeagleWksText(), countPages(), createZones(), flushExtra(), getFooter(), getHeader(), readFont(), readParagraph(), readSection(), sendHF(), sendText(), and version().

## m_state

std::shared_ptr<BeagleWksTextInternal::State> BeagleWksText::m_state

protected

the state

Referenced by BeagleWksText(), countPages(), createZones(), flushExtra(), getFooter(), getHeader(), numPages(), sendHF(), sendMainText(), sendText(), and version().

## m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksText::m_structureManager

protected

the structure manager

Referenced by BeagleWksText(), and getFont().

The documentation for this class was generated from the following files:

- BeagleWksText.hxx
- BeagleWksText.cxx